package com.friday.operation.api.keepalive.service.taieoc;

import com.friday.base.common.response.DubboResult;
import com.friday.operation.api.keepalive.dto.taieoc.OcInfoDictDto;
import com.friday.operation.api.keepalive.dto.taieoc.OcTenantFilterDto;
import com.friday.operation.api.keepalive.dto.taieoc.OcInfoDto;

import java.util.ArrayList;

/**
 * 管理端中控管理接口
 */
public interface IOcManage {

    DubboResult createOcInfo(OcInfoDto reqDto);

    DubboResult updateOcInfo(OcInfoDto reqDto);

    DubboResult queryOcPage(OcTenantFilterDto filterDto);

    DubboResult queryOcDetail(Long ocId);

    DubboResult deleteOcInfo(Long ocId, String operator);

    DubboResult<ArrayList<OcInfoDictDto>> queryOcDict(String supplier, String tenant);

    /**
     * 工位管理 查询中控下拉框接口
     */
    DubboResult<ArrayList<String>> queryOcDropList(String supplier, String tenant);

    /**
     * 根据所属租户查询中控、及厂商信息
     */
    DubboResult<ArrayList<OcInfoDto>> queryOcInfo(OcTenantFilterDto dto);

}
